:root {
  --rich-black-fogra-29: hsl(225, 25%, 9%);
  --rich-black-fogra-39: hsl(170, 21%, 5%);
  --raisin-black: hsl(228, 13%, 15%);
  --eerie-black: hsl(207, 19%, 11%);
  --light-gray: hsl(0, 3%, 80%);
  --gunmetal-1: hsl(229, 15%, 21%);
  --gunmetal-2: hsl(216, 22%, 18%);
  --gainsboro: hsl(0, 7%, 88%);
  --citrine: hsl(57, 97%, 45%);
  --xiketic: hsl(253, 21%, 13%);
  --gray-x: hsl(0, 0%, 74%);
  --white: hsl(0, 100%, 100%);
  --black: hsl(0, 0%, 0%);
  --jet: hsl(0, 0%, 20%);

  --ff-poppins: 'Poppins', sans-serif;

  --fs-1: 36px;
  --fs-2: 32px;
  --fs-3: 30px;
  --fs-4: 24px;
  --fs-5: 20px;
  --fs-6: 18px;
  --fs-7: 16px;
  --fs-8: 15px;
  --fs-9: 14px;
  --fs-10: 13px;
  --fs-11: 12px;
  --fs-12: 11px;

  --fw-500: 500;
  --fw-700: 700;

  /**
   * transition
   */

  --transition-1: 0.15s ease;
  --transition-2: 0.25s ease-in;

  /**
   * spacing
   */

  --section-padding: 20px;

}





/*-----------------------------------*\
 * #RESET
\*-----------------------------------*/

*, *::before, *::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

li { list-style: none; }

a { text-decoration: none; }

a,
img,
span,
input,
button,
ion-icon { display: block; }

input {
  font: inherit;
  width: 100%;
  border: none;
}

select,
button {
  font: inherit;
  background: none;
  border: none;
  cursor: pointer;
}

html {
  font-family: var(--ff-poppins);
  scroll-behavior: smooth;
}

body { background: var(--eerie-black); }

body.active { overflow: hidden; }





/*-----------------------------------*\
 * #REUSED STYLE
\*-----------------------------------*/

.container { padding-inline: 15px; }

/**
 * TITLES & SUBTITLES
 */

.h1,
.h2,
.h3 {
  color: var(--white);
  line-height: 1.2;
}

.h1 { font-size: var(--fs-1); }

.h2 { font-size: var(--fs-2); }

.h3 { font-size: var(--fs-6); }

.section-subtitle {
  color: var(--black);
  font-size: var(--fs-11);
  font-weight: var(--fw-500);
  text-transform: uppercase;
  letter-spacing: 1px;
  margin-bottom: 10px;
  text-align: left;
}

.section-title { text-align: center; }

/**
 * BADGE
 */

.badge {
  color: var(--xiketic);
  font-size: var(--fs-12);
  font-weight: var(--fw-700);
  border: 2px solid transparent;
  padding: 2px 10px;
}

.badge-fill {
  background: var(--xiketic);
  color: var(--raisin-black);
}

.badge-outline { border-color: var(--xiketic); }

/**
 * MOVIE META
 */

.meta-wrapper {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-items: center;
  gap: 15px 25px;
  margin-bottom: 50px;
}

.badge-wrapper,
.ganre-wrapper,
.date-time {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 5px 10px;
}

.ganre-wrapper > a {
  color: var(--gainsboro);
  font-size: var(--fs-9);
  font-weight: var(--fw-500);
  transition: var(--transition-1);
}

.ganre-wrapper > a:is(:hover, :focus) { color: var(--citrine); }

.date-time { gap: 15px; }

.date-time > div {
  display: flex;
  align-items: center;
  gap: 5px;
  color: var(--gainsboro);
  font-size: var(--fs-9);
  font-weight: var(--fw-500);
}

.date-time ion-icon {
  --ionicon-stroke-width: 50px;
  color: var(--citrine);
}

/**
 * BUTTONS
 */

.btn {
  color: var(--white);
  font-size: var(--fs-11);
  font-weight: var(--fw-700);
  text-transform: uppercase;
  letter-spacing: 2px;
  display: flex;
  align-items: center;
  gap: 10px;
  padding: 16px 30px;
  border: 2px solid var(--citrine);
  border-radius: 50px;
  transition: var(--transition-1);
}

.btn > ion-icon { font-size: 18px; }

.btn-primary { background: var(--rich-black-fogra-29); }

.btn-primary:is(:hover, :focus) {
  background: var(--citrine);
  color: var(--xiketic);
}

/**
 * MOVIE CARD
 */

.movies-list {
  display: grid;
  gap: 50px;
}

.movie-card {
  height: 100%;  
  display: block;
}

.movie-card .card-banner {
  position: relative;
  background: var(--gunmetal-1);
  aspect-ratio: 2 / 3;
  border-radius: 6px;
  overflow: hidden;
  margin-bottom: 20px;
  transition: var(--transition-1);
}

.movie-card .card-banner::after {
  content: "";
  position: absolute;
  inset: 0;
  transition: var(--transition-1);
}

.movie-card .card-banner:hover { box-shadow: 0 1px 2px hsla(0, 0%, 0%, 0.5); }

.movie-card .card-banner:hover::after { background: hsla(0, 0%, 100%, 0.05); }

.movie-card .card-banner img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.movie-card .card-banner .rating {
	position: absolute;
	top: 5px;
    left: 5px;
    color: #fff;
	background:#000;
	padding:0px 5px;
	border-radius:5px;
}
.movie-card .card-banner .label.label-HD {
    background-color: #447e30;
	font-size:11px;
	font-weight:500;
    color:#fff;
	position: absolute;
	top: 5px;
    right: 5px;
	padding:0px 5px;
	border-radius:3px;
}
.movie-card .card-banner .year {
	position: absolute;
	left: 5px;
    bottom: 5px;
	font-size:11px;
	font-weight:500;
    color:yellow;
	background:#000;
	padding:0px 5px;
	border-radius:5px;
}
.movie-card .card-banner .duration {
	position: absolute;
	bottom: 5px;
    right: 5px;
	font-size:11px;
	font-weight:500;
    color: yellow;
	background:#000;
	padding:0px 5px;
	border-radius:5px;
}
.movie-card .title-wrapper  {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 20px;
  margin-bottom: 10px;
}
.movie-card .title-wrapper span {
	font-size:10px;
	color:#666;
}
.movie-card .card-title {
	color: var(--white);
	font-size: var(--fs-7);
	transition: var(--transition-1);
	margin: 0;
	line-height: 1.5;
	display: -webkit-box;
	-webkit-line-clamp: 2;
	-webkit-box-orient: vertical;
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: normal;
	text-align: left;
}

.movie-card .card-title:is(:hover, :focus) { color: orange; }

.movie-card .title-wrapper time {
  color: var(--xiketic);
  font-size: var(--fs-12);
  font-weight: var(--fw-500);
}

.movie-card .card-meta {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 15px;
}

.movie-card .badge { color: var(--xiketic); }

.movie-card .duration { margin-left: auto; }

.movie-card :is(.duration, .rating) {
  display: flex;
  align-items: center;
  gap: 5px;
  color: var(--xiketic);
  font-size: var(--fs-11);
  font-weight: var(--fw-500);
}

.movie-card :is(.duration, .rating) ion-icon {
  font-size: 13px;
  --ionicon-stroke-width: 50px;
  color: var(--citrine);
}

/**
 * CUSTOM SLIDER & SCROLLBAR
 */

.movies-list.has-scrollbar {
  display: flex;
  justify-content: flex-start;
  gap: 30px;
  overflow-x: auto;
  scroll-snap-type: inline mandatory;
  padding-bottom: 25px;
}

.has-scrollbar::-webkit-scrollbar { height: 8px; }

.has-scrollbar::-webkit-scrollbar-track {
  background: transparent;
  box-shadow: 0 0 0 2px var(--citrine);
  border-radius: 10px;
}

.has-scrollbar::-webkit-scrollbar-thumb {
  background: var(--gainsboro);
  border-radius: 10px;
  box-shadow: inset 0 1px 0 var(--black),
              inset 0 -1px 0 var(--black);
}





/*-----------------------------------*\
 * #HEADER
\*-----------------------------------*/

.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  padding-block: 25px;
  transition: var(--transition-2);
  z-index: 4;
}

.header.active {
  background: var(--eerie-black);
  padding-block: 15px;
}

.header .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.header-actions { display: none; }

.menu-open-btn {
  color: var(--white);
  font-size: 40px;
  margin-left: -10px;
}

.navbar {
  position: fixed;
  top: 0;
  right: -500px;
  background: var(--eerie-black);
  width: 100%;
  max-width: 100%;
  height: 100%;
  box-shadow: -1px 0 3px hsl(0, 0%, 0%, 0.2);
  transition: 0.15s ease-in;
  visibility: hidden;
  z-index: 3;
}

.navbar.active {
  right: 0;
  visibility: visible;
  transition: 0.25s ease-out;
}

.navbar-top {
  padding: 15px 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.menu-close-btn {
  color: var(--white);
  font-size: 25px;
  padding: 5px;
}

.menu-close-btn ion-icon { --ionicon-stroke-width: 80px; }

.navbar-list {
  border-top: 1px solid hsla(0, 0%, 100%, 0.1);
  margin-bottom: 30px;
}

.navbar-link {
  color: var(--white);
  font-size: var(--fs-8);
  font-weight: var(--fw-500);
  padding: 10px 25px;
  border-bottom: 1px solid hsla(0, 0%, 100%, 0.1);
  transition: var(--transition-1);
}

.navbar-link:is(:hover, :focus) { color: var(--citrine); }

.navbar-social-list {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
}

.navbar-social-link {
  font-size: 20px;
  color: var(--white);
  transition: var(--transition-1);
}

.navbar-social-link:is(:hover, :focus) { color: var(--citrine); }

.overlay {
  position: fixed;
  inset: 0;
  background: hsla(204, 18%, 11%, 0.8);
  opacity: 0;
  pointer-events: none;
  z-index: 1;
  transition: var(--transition-2);
}

.overlay.active {
  opacity: 1;
  pointer-events: all;
}


.custom-select {
	background-color: #1f2937;
	color: #f9fafb;
	border: 1px solid #6b7280;
	border-radius: 0.2rem;
	padding: 0.5rem 2.5rem 0.5rem 1rem;
	margin-bottom:4px;
	font-size: 1rem;
	line-height: 1.5rem;
	width: 100%;
	cursor: pointer;
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;	
	transition: all 0.2s ease-in-out;
}

.custom-select:hover,
.custom-select:focus {
	border-color: #ffffff;
	background-color: #374151;
	outline: none;
}

.custom-select option {
	background-color: #374151; 
	color: #f9fafb;
	padding: 0.2rem;
	font-size: 0.7rem;
}


/*-----------------------------------*\
 * #HERO
\*-----------------------------------*/

.hero {
  background: #000;
  background-size: cover;
  background-position: center;
  min-height: 750px;
  height: 100vh;
  max-height: 1000px;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  padding-block: var(--section-padding);
}

.hero-content { margin-top: 30px; }

.hero-subtitle {
  color: var(--citrine);
  font-size: var(--fs-4);
  font-weight: var(--fw-700);
  margin-bottom: 10px;
}

.hero-title { margin-bottom: 30px; }

.hero-title > strong { color: var(--citrine); }





/*-----------------------------------*\
 * #UPCOMING
\*-----------------------------------*/

.upcoming {
  background: var(--white);
  background-size: cover;
  background-position: center;
  padding-block: var(--section-padding);
}

.upcoming .flex-wrapper { margin-bottom: 0px; }

.upcoming .section-title { margin-bottom: 30px; }

.filter-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

.upcoming .filter-btn {
  color: var(--white);
  background: var(--raisin-black);
  font-size: var(--fs-11);
  font-weight: var(--fw-500);
  border: 2px solid var(--gunmetal-1);
  padding: 12px 26px;
  border-radius: 50px;
}

.upcoming .filter-btn:focus { border-color: var(--citrine); }

.upcoming .movies-list > li {
  min-width: 100%;
  scroll-snap-align: start;
}


.read-more-container {
    position: relative;
    max-width: auto;
    margin: 20px auto;
}

.read-more-check {
    display: none;
}

.content-hidden {
    max-height: 320px;    
    overflow: hidden;    
    transition: max-height 0.5s ease-in-out;
}

.read-more-container::before {
    content: '';
    position: absolute;
    bottom: 20px;
    left: 0;
    right: 0;
    height: 0px;
    z-index: 10;
    transition: opacity 0.3s;
	border-bottom-left-radius: 20px;
	border-bottom-right-radius: 20px;
}

.read-more-check:checked ~ .content-hidden {
   max-height: 5000px; 
}

.read-more-check:checked ~ .read-more-tombol::before {
    content: "Close"; 
}
.read-more-check:checked ~ .read-more-container::before {
    opacity: 0; 
}

.read-more-tombol {
    position: relative;
    margin: 10px auto 0;
    cursor: pointer;
    z-index: 15; 
	width:105px;
	text-align:center !important;
	padding-top:5px;padding-bottom:5px;
}

.read-more-tombol::before {
    content: "More"; 
}

.read-more-container a{display:inline;color:yellow;}
/*-----------------------------------*\
 * #SERVICE
\*-----------------------------------*/

.service {
  background: url("../images/service-bg.jpg") no-repeat;
  background-size: cover;
  background-position: center;
  padding-block: var(--section-padding);
}

.service-banner {
  position: relative;
  margin-bottom: 50px;
  max-width: max-content;
}

.service-banner img { width: 100%; border-radius:10px;padding:20px; background:#e2d703;}

.service-btn {
  position: absolute;
  bottom: 0;
  right: 86px;
  background: var(--citrine);
  color: var(--rich-black-fogra-29);
  font-size: var(--fs-11);
  text-transform: uppercase;
  font-weight: var(--fw-500);
  letter-spacing: 5px;
  display: flex;
  align-items: center;
  gap: 5px;
  transform: rotate(0.25turn);
  transform-origin: bottom right;
  padding: 28px 35px;
  border-radius: 6px;
}

.service-btn ion-icon {
  font-size: 30px;
  transform: rotate(-0.25turn);
}

.service-subtitle {
  position: relative;
  color: var(--gainsboro);
  font-size: var(--fs-11);
  font-weight: var(--fw-500);
  text-transform: uppercase;
  letter-spacing: 1px;
  padding-left: 50px;
  margin-bottom: 10px;
}

.service-subtitle::before {
  content: "";
  position: absolute;
  top: 7px;
  left: 0;
  width: 40px;
  height: 3px;
  background: var(--citrine);
}

.service-title { margin-bottom: 20px; }

.service-text,
.service-card .card-text {
  color: var(--gray-x);
  font-size: var(--fs-9);
  font-weight: var(--fw-500);
  line-height: 1.8;
}

.service-text { margin-bottom: 40px; }

.service-list > li:first-child {
  padding-bottom: 20px;
  border-bottom: 1px dashed hsla(0, 0%, 100%, 0.1);
  margin-bottom: 30px;
}

.service-card .card-icon {
  color: var(--white);
  width: 85px;
  height: 85px;
  display: grid;
  place-items: center;
  font-size: 40px;
  border-radius: 50%;
  outline: 1px dashed var(--citrine);
  outline-offset: 5px;
  margin: 5px;
  margin-bottom: 20px;
  transition: var(--transition-2);
}

.service-card:hover .card-icon { background: var(--citrine); }

.service-card .card-title { margin-bottom: 10px; }


.page-set {
	margin-top:70px;
	background:var(--white);
	background-size: cover;
	background-position: center;
	padding-block: var(--section-padding);
}
.page-set p {margin-bottom:10px;}
.page-set ol {margin-left:20px;margin-bottom:10px;}
.page-set ol li {list-style: decimal;}
.page-set ol li p{margin-bottom:10px;}
.page-set ol ul {margin-left:20px;margin-bottom:10px;}
.page-set ol ul li {list-style: disc;}
.page-set ul {margin-left:20px;}
.page-set ul li {list-style: disc;}
.page-set .section-title { 
	margin-bottom: 20px;
	color:#000000;
	font-size:20px;
	font-weight:bold;
	text-align:left !important;
 }


/*-----------------------------------*\
 * #TOP RATED
\*-----------------------------------*/

.top-rated {
  background:var(--white);
  background-size: cover;
  background-position: center;
  padding-block: var(--section-padding);
}
.top-rated .filter-list {
  gap: 15px;
  margin-bottom: 50px;
}
.top-rated .card-title {
    color: var(--black);
    font-size: var(--fs-11);
    transition: var(--transition-1);
}
.top-rated .filter-btn {
  position: relative;
  background: var(--rich-black-fogra-39);
  color: var(--light-gray);
  font-size: var(--fs-10);
  font-weight: var(--fw-700);
  text-transform: uppercase;
  padding: 17px 25px;
  border-radius: 4px;
  box-shadow: inset 0 3px 7px hsla(0, 0%, 0%, 0.8);
}

.top-rated .filter-btn:focus {
  color: var(--citrine);
  text-shadow: 0 3px 25px hsla(57, 97%, 45%, 0.5);
}

.top-rated .filter-btn:focus::before,
.top-rated .filter-btn:focus::after {
  content: "";
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background: var(--citrine);
  width: 2px;
  height: 15px;
}

.top-rated .filter-btn:focus::before { left: 0; }

.top-rated .filter-btn:focus::after { right: 0; }


.pagination-container {
	display: flex;
	justify-content: center; 
	margin: 30px 0; 
	font-size:13px;
}

.pagination-list {
	display: flex; 
	list-style: none; 
	padding: 0;
	margin: 0;
	border-radius: 5px;
	box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.page-link {
	display: block;
	padding: 8px 15px;
	text-decoration: none;
	color: #000;
	background-color: #fff;
	border: 1px solid #000000;
	margin-left: -1px; 
	transition: background-color 0.3s, color 0.3s;
}

.pagination-list li:first-child .page-link {
	border-top-left-radius: 5px;
	border-bottom-left-radius: 5px;
}

.pagination-list li:last-child .page-link {
	border-top-right-radius: 5px;
	border-bottom-right-radius: 5px;
}

.page-link:hover:not(.current-page):not(.disabled) {
	color: #000;
	background-color: #e9ecef;
	border-color: #000;
}

.current-page {
	color: #000;
	background-color: #ddd;
	border-color: #000;
	font-weight: bold;
	cursor: default; 
}

.current-page:hover {
	background-color: #e9ecef;
	color: #000;
}

.ellipsis {
	color: #6c757d;
	cursor: default;
	background-color: #fff;
	border-color: #dee2e6;
}

.disabled {
	color: #6c757d;
	pointer-events: none; 
	background-color: #f8f9fa;
}


/*-----------------------------------*\
 * #TV SEREIS
\*-----------------------------------*/

.tv-series {
  background: url("../images/tv-series-bg.jpg") no-repeat;
  background-size: cover;
  background-position: center;
  padding-block: var(--section-padding);
}

.tv-series .section-title { margin-bottom: 50px; }





/*-----------------------------------*\
 * #CTA
\*-----------------------------------*/

.cta {
  background: url("../images/cta-bg.jpg") no-repeat;
  background-size: cover;
  background-position: center;
  text-align: center;
  padding-block: 50px;
}

.cta .title-wrapper { margin-bottom: 25px; }

.cta-title {
  color: var(--eerie-black);
  font-size: var(--fs-3);
  text-transform: uppercase;
  line-height: 1.2;
  margin-bottom: 5px;
}

.cta-text {
  color: var(--eerie-black);
  font-size: var(--fs-9);
  font-weight: var(--fw-500);
  line-height: 1.8;
}

.cta .email-field {
  color: var(--eerie-black);
  font-size: var(--fs-9);
  padding: 18px 32px;
  border-radius: 4px;
  box-shadow: 0 3px 4px hsla(0, 0%, 0%, 0.2);
  margin-bottom: 15px;
}

.cta-form-btn {
  background: var(--eerie-black);
  color: var(--citrine);
  font-size: var(--fs-9);
  font-weight: var(--fw-700);
  text-transform: uppercase;
  letter-spacing: 1px;
  border: 2px solid var(--eerie-black);
  padding: 15px 34px;
  border-radius: 4px;
  margin-inline: auto;
  transition: var(--transition-1);
}

.cta-form-btn:is(:hover, :focus) {
  background: var(--citrine);
  color: var(--eerie-black);
}





/*-----------------------------------*\
 * #FOOTER
\*-----------------------------------*/

.footer-top {
  background: url("../images/footer-bg.jpg") no-repeat;
  background-size: cover;
  background-position: center;
  padding-block: 30px 10px;
}

.footer-brand-wrapper .logo {
  width: max-content;
  margin-inline: auto;
}

.footer-list,
.quicklink-list,
.social-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  gap: 5px;
}

.footer-link {
  color: var(--light-gray);
  font-size: var(--fs-9);
  font-weight: var(--fw-700);
  text-transform: uppercase;
  padding: 5px 15px;
  transition: var(--transition-1);
}

:is(.footer-link, .quicklink-link, .social-link):is(:hover, :focus) { color: var(--citrine); }

.divider {
  height: 4px;
  margin-block: 40px;
  border-top: 1px solid var(--rich-black-fogra-29);
  border-bottom: 1px solid hsla(0, 0%, 100%, 0.1);
}

.quicklink-list { margin-bottom: 20px; }

.quicklink-link {
  color: var(--gray-x);
  font-size: var(--fs-10);
  font-weight: var(--fw-500);
  text-transform: uppercase;
  padding: 2px 10px;
  transition: var(--transition-1);
}

.social-list { column-gap: 10px; }

.social-link {
  background: var(--rich-black-fogra-29);
  color: var(--gray-x);
  font-size: 14px;
  width: 35px;
  height: 35px;
  display: grid;
  place-items: center;
  border-radius: 50%;
  box-shadow: inset 0 4px 8px hsla(0, 0%, 0%, 0.25);
  transition: var(--transition-1);
}

.footer-bottom { padding-block: 25px; }

.copyright {
  color: var(--gray-x);
  font-size: var(--fs-10);
  font-weight: var(--fw-500);
  line-height: 1.7;
  text-align: center;
  margin-bottom: 15px;
}

.copyright > a {
  display: inline-block;
  color: var(--citrine);
}

.footer-bottom-img {
  max-width: max-content;
  width: 100%;
  margin-inline: auto;
}





/*-----------------------------------*\
 * #GO TO TOP
\*-----------------------------------*/

.go-top {
  position: fixed;
  bottom: 20px;
  right: 20px;
  background: var(--citrine);
  color: var(--eerie-black);
  width: 50px;
  height: 50px;
  display: grid;
  place-items: center;
  border-radius: 50%;
  box-shadow: 0 1px 3px hsla(0, 0%, 0%, 0.5);
  opacity: 0;
  visibility: hidden;
  transition: var(--transition-2);
  z-index: 2;
}

.go-top.active {
  opacity: 1;
  visibility: visible;
}





/*-----------------------------------*\
 * #MOVIE DETAIL 
\*-----------------------------------*/
.div-transparan {
    position: relative; 
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.div-transparan::before {
    content: "";
    position: absolute; 
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.9); 
    z-index: 1; 
}
.content-solid {
    position: relative; 
    z-index: 2;
    color: white;
}
.movie-detail {
  padding-top: 90px;
  padding-bottom: var(--section-padding);
  display: flex;
  align-items: flex-start;
}

.movie-detail-banner {
  position: relative;
  background: var(--gunmetal-1);
  max-width: 100%;
  margin-inline: auto;
  border-radius: 6px;
  overflow: hidden;
  margin-bottom: 20px;
  opacity: 1;
}

.movie-detail-banner img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 1;
}

.play-btn {
  position: absolute;
  inset: 0;
  display: grid;
  place-items: center;
  font-size: 120px;
  color: var(--white);
  transition: var(--transition-1);
  opacity: 1;
}

.play-btn:hover { opacity: 1;background: hsla(0, 0%, 0%, 0.25); }

.detail-subtitle {
  font-size: var(--fs-5);
  color: var(--citrine);
  font-weight: var(--fw-700);
  margin-bottom: 10px;
  opacity: 1;
}

.detail-title { margin-bottom: 20px;opacity: 1; }

.detail-title strong { color: var(--citrine);opacity: 1; }

.movie-detail .meta-wrapper { margin-bottom: 30px;opacity: 1; }

.storyline {
  color: var(--gray-x);
  font-size: var(--fs-9);
  font-weight: var(--fw-500);
  line-height: 1.8;
  margin-bottom: 40px;
  opacity: 1;
}
.storyline p {margin-top:0;margin-bottom:10px;opacity: 1;}

.details-actions {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 10px 20px;
  background: var(--gunmetal-2);
  padding: 15px;
  border: 1px solid var(--jet);
  border-radius: 4px;
  margin-bottom: 30px;
  opacity: 1;
}

.details-actions .share ion-icon {
  font-size: 25px;
  color: var(--white);
  margin-inline: auto;
  opacity: 1;
}

.details-actions .share span {
  color: var(--gainsboro);
  font-size: var(--fs-11);
  transition: var(--transition-1);
  opacity: 1;
}

.details-actions .share:is(:hover, :focus) span { color: var(--citrine); opacity: 1;}

.details-actions .title {
  color: var(--white);
  font-weight: var(--fw-700);
  opacity: 1;
}

.details-actions .text {
  font-size: var(--fs-11);
  color: var(--gainsboro);
  opacity: 1;
}

.details-actions .btn-primary {
  font-size: 10px;
  padding: 13px 26px;
  letter-spacing: 0;
  background: transparent;
  opacity: 1;
}

.details-actions .btn-primary:is(:hover, :focus) { background: var(--citrine);opacity: 1; }

.download-btn {
  max-width: max-content;
  background: var(--citrine);
  color: var(--rich-black-fogra-29);
  font-size: var(--fs-11);
  font-weight: var(--fw-500);
  text-transform: uppercase;
  display: flex;
  align-items: center;
  gap: 10px;
  padding: 20px 35px;
  letter-spacing: 5px;
  border-radius: 6px;
  opacity: 1;
}

.download-btn ion-icon { font-size: 16px;opacity: 1; }

.logo-full{
	  display:inline;
	  margin-top:5px;
  }
  .logo-small{
	  display:none;
  }


/*-----------------------------------*\
 * #MEDIA QUERIES
\*-----------------------------------*/

/**
 * responsive for large than 550px screen
 */

@media (min-width: 320px) {

  /**
   * CUSTOM PROPERTY
   */

  :root {

    /**
     * typography
     */

    --fs-1: 42px;

  }

 

  /**
   * REUSED STYLE
   */

	.container {
		max-width: 540px;
		margin-inline: auto;
	}

	.logo-full{
	  display:inline;
	}
	.logo-small{
	  display:none;
	}
	.header {
		position: fixed;
		top: 0;
		left: 0;
		width: 100%;
		padding-block: 15px;
		transition: var(--transition-2);
		z-index: 4;
	}
	.header .container { gap: 30px;height:40px; }

	.header-actions {
		display: flex;
		margin-left: auto;
		align-items: center;
		gap: 35px;
	}
	.header-actions .btn-primary { display: none; }
	.search-input {
	  padding:1px 7px 1px 10px;
	  outline: 0;
	  font-size:14px;
	  min-width: 180px;
		height: 25px;
	}
	.search-btn {
	position: relative;
	color: var(--black);
	margin-left: -36px;
	padding: 2px 5px;
	background: var(--white);
	height: 25px;
	}
	.movies-list {
		grid-template-columns: 1fr 1fr;
		gap: 10px;
	}
	.nav-button{
	  display:none;
	}
  

  /**
   * HERO
   */

  .hero {
	background: #000;
	background-size: cover;
	background-position: center;
	min-height: 150px;
	height: 35vh;
	display: flex;
	justify-content: flex-start;
	align-items: center;
	margin-top: 70px;
  }

	.hero-content { margin-top: 0px; max-width: 320px;}
	.hero-content .movie-card {
		height: 100%;
		width:120px;
		display: block;
	}	
	.hero-content .movies-list::-webkit-scrollbar {
		width: 0; 
		height: 0;
		display: none;
	}
	.movie-card .card-banner {
		position: relative;
		background: var(--gunmetal-1);
		aspect-ratio: 2 / 3;
		border-radius: 6px;
		overflow: hidden;
		margin-bottom: 10px;
		transition: var(--transition-1);
	}
	.hero-content .movie-card .card-title {
		color: var(--white);
		font-size: var(--fs-12);
		transition: var(--transition-1);
		width:120px;
	}
	.hero-content .movie-card .title-wrapper time {
		color: var(--citrine);
		font-size: var(--fs-12);
		font-weight: var(--fw-500);
		
	}
	.hero-content .movies-list.has-scrollbar {
		display: flex;
		justify-content: flex-start;
		gap: 10px;
		overflow-x: auto;
		scroll-snap-type: inline mandatory;
		padding-bottom: 0px;
	}
	.movie-card .title-wrapper {
		display: block;
		
	}
	.movies-list { grid-template-columns: repeat(3, 1fr); }
  /**
   * UPCOMING
   */
   
   .upcoming .movies-list::-webkit-scrollbar { 
		width: 0; 
		height: 0;
		display: none;
	}
	.upcoming .movies-list.has-scrollbar {
		display: flex;
		justify-content: flex-start;
		gap: 10px;
		overflow-x: auto;
		scroll-snap-type: inline mandatory;
		padding-bottom: 0px;
	}
	.upcoming .movies-list > li { min-width: calc(50% - 15px); }
	.upcoming .movie-card {
		height: 100%;
		display: block;
	}
	
	.upcoming .movie-card .card-title {
		color: var(--black);
		font-size: var(--fs-11);
		transition: var(--transition-1);
		width:100%;
	}
	.upcoming .movie-card .title-wrapper time {
		color: var(--xiketic);
		font-size: var(--fs-12);
		font-weight: var(--fw-500);
		
	}
	
	.movie-card .title-wrapper {
		display: block;
		
	}
  



  /**
   * SERVICE
   */

  .service-list > li:first-child { padding-bottom: 30px; }

  .service-card {
    display: flex;
    align-items: center;
    gap: 20px;
  }

  .service-card .card-icon { margin-bottom: 0; }

  .service-card .card-content { width: calc(100% - 115px); }



  /**
   * MOVIE DETAIL
   */
	.movie-detail-banner {
	  position: relative;
	  background: var(--gunmetal-1);
	  max-width: 400px;
	  margin-inline: auto;
	  border-radius: 6px;
	  overflow: hidden;
	  margin-bottom: 20px;
	}

  .detail-subtitle { --fs-5: 22px; }

  .detail-title { --fs-1: 46px; }

}


.logo-full{
	display:none;
}
.logo-small{
	display:inline;
	margin-top:5px;
}

/**
 * responsive for large than 768px screen
 */

@media (min-width: 768px) {

  /**
   * CUSTOM PROPERTY
   */

  :root {

    /**
     * typography
     */

    --fs-2: 36px;

  }



  /**
   * REUSED STYLE
   */

  .container { max-width: 720px; }



  /**
   * HEADER
   */
  .logo-full{
	  display:inline;
  }
  .logo-small{
	  display:none;
  }
  .header .container { gap: 30px; }

  .header-actions {
    display: flex;
    margin-left: auto;
    align-items: center;
    gap: 35px;
  }
  .header-actions .btn-primary { display: none; }
  .search-input {
	   padding:1px 7px 1px 10px;
	  outline: 0;
	  font-size:14px;
	  min-width: 180px;
        height: 25px;
  }
  .search-btn {
    position: relative;
        color: var(--black);
        margin-left: -36px;
        padding: 2px 5px;
        background: var(--white);
        height: 25px;
  }

  .search-btn ion-icon { --ionicon-stroke-width: 80px; }

  .search-btn::after {
    content: "";
    position: absolute;
    top: 1px;
    right: -20px;
    /*background: hsla(0, 0%, 100%, 0.1);*/
    width: 2px;
    height: 14px;
  }

  .lang-wrapper {
    display: flex;
    align-items: center;
    gap: 5px;
  }

  .lang-wrapper label {
    color: var(--citrine);
    font-size: 20px;
  }

  .lang-wrapper select {
    color: var(--white);
    font-size: var(--fs-9);
    font-weight: var(--fw-700);
	appearance: none;
	-webkit-appearance: none;
	background: none; 
	text-indent: 1px;
	text-overflow: ''; 
	border:none;
  }

  .lang-wrapper option { color: var(--black); }



  /**
   * HERO
   */
    .hero {
        background: #000;
        background-size: cover;
        background-position: center;
        height: 13vh;
        display: flex;
        justify-content: flex-start;
        align-items: center;
        padding-bottom: 10px;
    }
  .hero-content { margin-top: 20px; max-width: 720px; }
	.hero-content .movies-list::-webkit-scrollbar {
		width: 0; 
		height: 0;
		display: none;
	}
.hero-content .movie-card .card-title {
    color: var(--white);
    font-size: var(--fs-12);
    transition: var(--transition-1);
}
.hero-content .movie-card .title-wrapper time {
    color: var(--citrine);
    font-size: var(--fs-12);
    font-weight: var(--fw-500);
}
.hero-content .movies-list.has-scrollbar {
    display: flex;
    justify-content: flex-start;
    gap: 10px;
    overflow-x: auto;
    scroll-snap-type: inline mandatory;
    padding-bottom: 15px;
}
  /**
   * SERVICE
   */

  .service-btn {
    right: -20px;
    padding: 40px 50px;
  }  

  .service-content { padding-inline: 40px; }



  /**
   * CTA
   */

  .cta-form {
    position: relative;
    max-width: 530px;
    margin-inline: auto;
  }

  .cta .email-field { margin-bottom: 0; }

  .cta-form-btn {
    position: absolute;
    top: 2px;
    right: 2px;
    bottom: 2px;
  }



  /**
   * FOOTER
   */

  .footer-brand-wrapper .logo { margin: 0; }

  .footer-brand-wrapper,
  .quicklink-wrapper,
  .footer-bottom .container {
    display: block;
    justify-content: space-between;
    align-items: center;
  }

  .quicklink-list { margin-bottom: 0; }

  .copyright { margin-bottom: 0; }

  .footer-bottom-img { margin-inline: 0; }



  /**
   * MOVIE DETAIL
   */

  .detail-subtitle { --fs-5: 26px; }

  .detail-title { --fs-1: 50px; }

}





/**
 * responsive for large than 992px screen
 */

@media (min-width: 992px) {

  /**
   * REUSED STYLE
   */

  .container { max-width: 960px; }

  /* MOVIE CARD */

  .movies-list { grid-template-columns: repeat(4, 1fr); }



  /**
   * HEADER
   */
 .header{position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding-block: 25px;
    transition: var(--transition-2);
    z-index: 4;}
  .header.active { padding-block: 15px; }

  

  



  /**
   * HERO
   */

	.hero {
		background: #000;
		background-size: cover;
		background-position: center;
		height:13vh;
		display: flex;
		justify-content: flex-start;
		align-items: center;
		padding-top:0;
		padding-bottom:10px;
	}
	.hero-content {
		margin-top: 50px;
		max-width: 100%;
	}
	.hero-content .movies-list::-webkit-scrollbar {
		width: 0; 
		height: 0;
		display: none;
	}
    .hero-content .movies-list .has-scrollbar {
        display: flex;
		flex-wrap: nowrap;
		width: max-content;
        justify-content: space-around;
        gap: 10px;
        overflow-x: auto;
        scroll-snap-type: inline mandatory;
        padding-bottom: 5px;
		cursor: grab;
		scrollbar-width: none;
		-ms-overflow-style: none;
		
    }
	.hero-content .movies-list .movie-card .card-banner img{
		flex-shrink: 0;
		scroll-snap-align: start;
	}
	.nav-button{
	  display:inline;
  }
	.hero-content .nav-button {
		position: absolute;
		top: 50%;
		transform: translateY(-50%);
		background-color: rgba(0, 0, 0, 0.5);
		color: white;
		border: none;
		padding: 10px 20px;
		cursor: pointer;
		z-index: 10;
		border-radius: 50px;
		font-size: 1.5em;
		transition: background-color 0.3s;
	}

	.hero-content .nav-button:hover {
		background-color: rgba(0, 0, 0, 0.8);
	}

	.hero-content .nav-button.prev {
		top:250px;
		left: 100px;
	}

	.hero-content .nav-button.next {
		top:250px;
		right:100px;
	}
	
  /**
   * UPCOMING
   */

  .upcoming .flex-wrapper {
    display: block;
    justify-content: space-between;
    align-items: center;
	
  }
  
	.upcoming .flex-wrapper .movies-list::-webkit-scrollbar {
		width: 0; 
		height: 0;
		display: none;
	}
	
	.title-wrapper{
		display:block;
	}
  .upcoming :is(.section-subtitle, .section-title) { text-align: left; }

  .upcoming .section-title { margin-bottom: 0; }
  
  .upcoming .movies-list > li { min-width: calc(33.33% - 20px); }

	.upcoming .flex-wrapper .nav-button {
		position: absolute;
        top: 33%;
        transform: translateY(-50%);
        background-color: rgb(126 126 126 / 50%);
        color: #000000;
        border: none;
        padding: 10px 20px;
        cursor: pointer;
        z-index: 10;
        border-radius: 50px;
        font-size: 1.5em;
        transition: background-color 0.3s;
	}

	.upcoming .flex-wrapper .nav-button:hover {
		background-color: rgba(0, 0, 0, 0.8);
	}

	.upcoming .flex-wrapper .nav-button.prev {
		left: 100px;
	}

	.upcoming .flex-wrapper .nav-button.next {
		right:100px;
	}

  /**
   * SERVICE
   */

  .service .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 70px;
  }

  .service-content {
    padding-inline: 0;
    width: calc(100% - 470px);
  }

  .service-banner { margin-bottom: 0; }

  .service-btn { right: 111px; }



  /**
   * CTA
   */

  .cta { text-align: left; }

  .cta .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .cta .title-wrapper {
    margin-bottom: 0;
    width: 100%;
  }

  .cta-form {
    margin-inline: 0;
    max-width: unset;
    width: 100%;
  }



  /**
   * MOVIE DETAIL
   */

  .movie-detail { padding-bottom: 200px; }

  .movie-detail .container {
    position: relative;
    display: flex;
	align-items: flex-start;
    gap: 30px;
  }

  .movie-detail-banner,
  .details-actions { margin: 0; }

  .download-btn {
    position: absolute;
    left: 15px;
    bottom: -80px;
  }

}





/**
 * responsive for large than 1200px screen
 */

@media (min-width: 1200px) {

  /**
   * CUSTOM PROPERTY
   */

  :root {

    /**
     * typography
     */

    --fs-1: 60px;
    --fs-4: 26px;

  }



  /**
   * REUSED STYLE
   */

  .container { max-width: 1320px; }

  /* MOVIE CARD */
	
  .movies-list { grid-template-columns: repeat(8, 1fr); }
	.hero {
		background: #000;
		background-size: cover;
		background-position: center;
		height:40vh;
		display: flex;
		justify-content: flex-start;
		align-items: center;
		padding-top:0;
		padding-bottom:0px;
		margin-top:80px;
	}
	.hero-content {
		margin-top: 20px;
		max-width: 100%;
	}
	.hero-content .movies-list::-webkit-scrollbar {
		width: 0; 
		height: 0;
		display: none;
	}
    .hero-content .movies-list .has-scrollbar {
        display: flex;
		flex-wrap: nowrap;
		width: max-content;
        justify-content: space-around;
        gap: 10px;
        overflow-x: auto;
        scroll-snap-type: inline mandatory;
        padding-bottom: 5px;
		cursor: grab;
		scrollbar-width: none;
		-ms-overflow-style: none;
		
    }
	.hero-content .movies-list .movie-card .card-banner img{
		flex-shrink: 0;
		scroll-snap-align: start;
	}
	
	.hero-content .nav-button {
		position: absolute;
		top: 50%;
		transform: translateY(-50%);
		background-color: rgba(0, 0, 0, 0.5);
		color: white;
		border: none;
		padding: 10px 20px;
		cursor: pointer;
		z-index: 3;
		border-radius: 50px;
		font-size: 1.5em;
		transition: background-color 0.3s;
	}

	.hero-content .nav-button:hover {
		background-color: rgba(0, 0, 0, 0.8);
	}

	.hero-content .nav-button.prev {
		top:200px;
		left: 50px;
	}

	.hero-content .nav-button.next {
		top:200px;
		right:50px;
	}
	
	
	.upcoming .flex-wrapper .nav-button {
		position: absolute;
        top: 100%;
        transform: translateY(-50%);
        background-color: rgb(126 126 126 / 50%);
        color: #000000;
        border: none;
        padding: 10px 20px;
        cursor: pointer;
        z-index: 3;
        border-radius: 50px;
        font-size: 1.5em;
        transition: background-color 0.3s;
	}

	.upcoming .flex-wrapper .nav-button:hover {
		background-color: rgba(0, 0, 0, 0.8);
	}

	.upcoming .flex-wrapper .nav-button.prev {
		left: 50px;
	}

	.upcoming .flex-wrapper .nav-button.next {
		right:50px;
	}

.menu-open-btn,
  .navbar-top,
  .navbar-social-list { display: none; }

  /**
   * HEADER
   */
	.navbar {
    all: unset;
    margin-left: auto;
  }

  .header-actions {
    order: 1;
    margin-left: 0;
  }

  .navbar-list {
    all: unset;
    display: none;
    align-items: center;
    gap: 10px;
  }

  .navbar-link {
    border-bottom: none;
    font-size: var(--fs-9);
    font-weight: var(--fw-700);
    text-transform: uppercase;
    padding: 30px 15px;
  }

  .overlay { display: none; }

  .header-actions .btn-primary {
    display: block;
    --fs-11: 14px;
    padding: 10px 35px;
    letter-spacing: 1px;
  }



  /**
   * HERO
   */

  .hero .container { width: 1320px; }



  /**
   * UPCOMING
   */

  .upcoming .movies-list > li { min-width: calc(25% - 22.5px); }



  /**
   * SERVICE
   */

  .service-content { width: calc(100% - 700px); }

  .service-btn { right: -20px; }

  .service-list,
  .service-title { max-width: 480px; }



  /**
   * CTA
   */

  .cta .container { max-width: 1150px; }



  /**
   * MOVIE DETAIL
   */

  .movie-detail { padding-bottom: var(--section-padding); }

  .movie-detail-content { max-width: 820px; }

  .detail-title { --fs-1: 60px; }

  .download-btn {
    left: auto;
    right: 15px;
    bottom: 0;
    transform: rotate(0.25turn) translateY(100%);
    transform-origin: bottom right;
    padding: 40px 50px;
  }

  .download-btn ion-icon {
    font-size: 30px;
    transform: rotate(-0.25turn);
  }

}
@media (min-width: 1440px) {
	.hero {
		background: #000;
		background-size: cover;
		background-position: center;
		height:12vh;
		display: flex;
		justify-content: flex-start;
		align-items: center;
		padding-top:0;
		padding-bottom:10px;
	}
}
.mt-1 {margin-top:5px;}
.mt-2 {margin-top:10px;}
.mt-3 {margin-top:15px;}
.mt-4 {margin-top:20px;}
.mt-5 {margin-top:25px;}
.mt-6 {margin-top:30px;}

.mb-1 {margin-bottom:5px;}
.mb-2 {margin-bottom:10px;}
.mb-3 {margin-bottom:15px;}
.mb-4 {margin-bottom:20px;}
.mb-5 {margin-bottom:25px;}
.mb-6 {margin-bottom:30px;}

.my-1 {margin-top:5px;margin-bottom:5px;}
.my-2 {margin-top:10px;margin-bottom:10px;}
.my-3 {margin-top:15px;margin-bottom:15px;}
.my-4 {margin-top:20px;margin-bottom:20px;}
.my-5 {margin-top:25px;margin-bottom:25px;}
.my-6 {margin-top:30px;margin-bottom:30px;}
.text-center {
	text-align:center !important;
}
.text-white {
	color:#ffffff !important;
}